Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
nkf.c File Reference
`#include "ruby/ruby.h"`
`#include "ruby/encoding.h"`
`#include "nkf-utf8/config.h"`
`#include "nkf-utf8/utf8tbl.c"`
`#include "nkf-utf8/nkf.c"`

Go to the source code of this file.

## Macros
#define | RUBY_NKF_REVISION "$Revision$"
#define | RUBY_NKF_VERSION NKF_VERSION " (" NKF_RELEASE_DATE ")"
#define | getc(f) (input_ctr>=i_len?-1:input[input_ctr++])
#define | ungetc(c, f) input_ctr--
#define | INCSIZE 32
#define | putchar(c) rb_nkf_putchar(c)
#define | PERL_XS 1

## Functions
rb_encoding * | rb_nkf_enc_get (const char *name)
int | nkf_split_options (const char *arg)
void | Init_nkf (void)

## Macro Definition Documentation

## ◆ getc

#define getc | ( |  | f | ) | (input_ctr>=i_len?-1:input[input_ctr++])

Definition at line 21 of file nkf.c.

## ◆ INCSIZE

#define INCSIZE 32

Definition at line 24 of file nkf.c.

## ◆ PERL_XS

#define PERL_XS 1

Definition at line 59 of file nkf.c.

## ◆ putchar

#define putchar | ( |  | c | ) | rb_nkf_putchar(c)

Definition at line 28 of file nkf.c.

## ◆ RUBY_NKF_REVISION

#define RUBY_NKF_REVISION "$Revision$"

Definition at line 10 of file nkf.c.

## ◆ RUBY_NKF_VERSION

#define RUBY_NKF_VERSION NKF_VERSION " (" NKF_RELEASE_DATE ")"

Definition at line 11 of file nkf.c.

## ◆ ungetc

#define ungetc | ( |  | c,
|  |  | f
| ) |  | input_ctr--

Definition at line 22 of file nkf.c.

## Function Documentation

## ◆ Init_nkf()

void Init_nkf | ( | void |  | ) |

Definition at line 477 of file nkf.c.

References rb_define_module(), and rb_define_module_function().

## ◆ nkf_split_options()

int nkf_split_options | ( | const char * | arg | ) |

Definition at line 77 of file nkf.c.

References arg, count, FALSE, i, and TRUE.

## ◆ rb_nkf_enc_get()

rb_encoding* rb_nkf_enc_get | ( | const char * | name | ) |

Definition at line 64 of file nkf.c.

References name, and rb_enc_find_index().